Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in soundtouch
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in soundtouch
ID: SUSE-SU-2018:3606-2
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP4, SUSE Linux Enterprise Server 12-SP4, SUSE Linux Enterprise Software Development Kit 12-SP4, SUSE Linux Enterprise Workstation Extension 12-SP4
Datum: Mo, 10. Dezember 2018, 20:14
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17098
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17097
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17096
Applikationen: SoundTouch

Originalnachricht

   SUSE Security Update: Security update for soundtouch
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:3606-2
Rating: moderate
References: #1108630 #1108631 #1108632
Cross-References: CVE-2018-17096 CVE-2018-17097 CVE-2018-17098

Affected Products:
SUSE Linux Enterprise Workstation Extension 12-SP4
SUSE Linux Enterprise Software Development Kit 12-SP4
SUSE Linux Enterprise Server 12-SP4
SUSE Linux Enterprise Desktop 12-SP4
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for soundtouch fixes the following issues:

- CVE-2018-17098: The WavFileBase class allowed remote attackers to cause
a denial of service (heap corruption from size inconsistency) or
possibly have unspecified other impact, as demonstrated by SoundStretch.
(bsc#1108632)
- CVE-2018-17097: The WavFileBase class allowed remote attackers to cause
a denial of service (double free) or possibly have unspecified other
impact, as demonstrated by SoundStretch. (double free) (bsc#1108631)
- CVE-2018-17096: The BPMDetect class allowed remote attackers to cause a
denial of service (assertion failure and application exit), as
demonstrated by SoundStretch. (bsc#1108630)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Workstation Extension 12-SP4:

zypper in -t patch SUSE-SLE-WE-12-SP4-2018-2564=1

- SUSE Linux Enterprise Software Development Kit 12-SP4:

zypper in -t patch SUSE-SLE-SDK-12-SP4-2018-2564=1

- SUSE Linux Enterprise Server 12-SP4:

zypper in -t patch SUSE-SLE-SERVER-12-SP4-2018-2564=1

- SUSE Linux Enterprise Desktop 12-SP4:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2018-2564=1



Package List:

- SUSE Linux Enterprise Workstation Extension 12-SP4 (x86_64):

libSoundTouch0-32bit-1.7.1-5.6.1
libSoundTouch0-debuginfo-32bit-1.7.1-5.6.1
soundtouch-1.7.1-5.6.1
soundtouch-debuginfo-1.7.1-5.6.1
soundtouch-debugsource-1.7.1-5.6.1

- SUSE Linux Enterprise Software Development Kit 12-SP4 (aarch64 ppc64le
s390x x86_64):

soundtouch-1.7.1-5.6.1
soundtouch-debuginfo-1.7.1-5.6.1
soundtouch-debugsource-1.7.1-5.6.1
soundtouch-devel-1.7.1-5.6.1

- SUSE Linux Enterprise Server 12-SP4 (aarch64 ppc64le s390x x86_64):

libSoundTouch0-1.7.1-5.6.1
libSoundTouch0-debuginfo-1.7.1-5.6.1
soundtouch-debuginfo-1.7.1-5.6.1
soundtouch-debugsource-1.7.1-5.6.1

- SUSE Linux Enterprise Desktop 12-SP4 (x86_64):

libSoundTouch0-1.7.1-5.6.1
libSoundTouch0-32bit-1.7.1-5.6.1
libSoundTouch0-debuginfo-1.7.1-5.6.1
libSoundTouch0-debuginfo-32bit-1.7.1-5.6.1
soundtouch-1.7.1-5.6.1
soundtouch-debuginfo-1.7.1-5.6.1
soundtouch-debugsource-1.7.1-5.6.1


References:

https://www.suse.com/security/cve/CVE-2018-17096.html
https://www.suse.com/security/cve/CVE-2018-17097.html
https://www.suse.com/security/cve/CVE-2018-17098.html
https://bugzilla.suse.com/1108630
https://bugzilla.suse.com/1108631
https://bugzilla.suse.com/1108632

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Gewinnspiel
Neue Nachrichten
Werbung